Bug 434481 - iptables failed massrebuild attempt for GCC 4.3
iptables failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:28 EST by Jesse Keating
Modified: 2013-01-09 22:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 08:45:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:28:55 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446792
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 16:41:46 EST
x86_64 build failed

+ TOPDIR=/builddir/build/BUILD/iptables-1.4.0
+ OPT='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic
-I/builddir/build/BUILD/iptables-1.4.0/include -fPIC'
+ export KERNEL_DIR=/usr
+ KERNEL_DIR=/usr
+ export KBUILD_OUTPUT=/usr
+ KBUILD_OUTPUT=/usr
+ export DO_SELINUX=1
+ DO_SELINUX=1
+ make 'COPT_FLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic
-I/builddir/build/BUILD/iptables-1.4.0/include -fPIC' LIBDIR=/lib64
Making dependencies: please wait...
Unable to resolve dependency on linux/compiler.h. Try 'make clean'.
Extensions found:
error: Bad exit status from /var/tmp/rpm-tmp.98987 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.98987 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target x86_64 --nodeps
//builddir/build/SPECS/iptables.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target x86_64 --nodeps
//builddir/build/SPECS/iptables.spec'
LEAVE do --> EXCEPTION RAISED
Comment 2 Thomas Woerner 2008-03-11 08:45:10 EDT
Fixed in rawhide in package iptables-1.4.0-3.fc9.

Note You need to log in before you can comment on or make changes to this bug.